# infra/monitoring/prometheus.yml
# Prometheus configuration for Genesis Stack monitoring.
#
# VERIFICATION_STAMP
# Story: MON-001
# Verified By: parallel-builder
# Verified At: 2026-02-25
# Tests: 7/7
# Coverage: 100%

global:
  scrape_interval: 15s
  evaluation_interval: 15s

scrape_configs:
  - job_name: genesis-api
    static_configs:
      - targets:
          - "localhost:8766"

  - job_name: sunaiva-api
    static_configs:
      - targets:
          - "localhost:8000"

  - job_name: prometheus
    static_configs:
      - targets:
          - "localhost:9090"
